user_interaction_blind.hpp File Reference
API

defines the interaction between libdar and a non communcant "blind" user More...

`#include "../my_config.h"`
`#include <string>`
`#include "user_interaction.hpp"`
`#include "secu_string.hpp"`

Go to the source code of this file.

## Classes

class | libdar::user_interaction_blind
| full implementation class for user_interaction, which shows nothing and assumes answer "no" to any question More...

## Namespaces

namespace | libdar
| libdar namespace encapsulate all libdar symbols

## Detailed Description

defines the interaction between libdar and a non communcant "blind" user

Note
  yes blind people do communicate, no offense to them, this class just "blindly" answer and do never show messages to a particular user

Definition in file user_interaction_blind.hpp.